<bugID>1173049<Summary>Markers on the edge of time range are hard to interact with</Summary><Description>Markers that are in the selected range are rendered, but if close to an edge, are only slightly shown, and hard to interact with. I'd expect pushing "right" would scroll the view horizontally. Not sure best thing to do here as we may not want to just change the range.

In bug 1169144, the scrollbars cut off the right most markers as well, leaving the same result.</Description></bugID>